{% extends 'base.html.twig' %}

{% block title %}Grade index{% endblock %}

{% block body %}
    {% for message in app.flashes('info') %}
        <div class="alert alert-success">{{ message }}</div>
    {% endfor %}

    <td>
        <a>
            <button class="btn btn-success btn_new_grade" url="{{ path('grade_new') }}"><span
                        class="glyphicon glyphicon-plus" title="Ajouter nouveau grade"> Ajouter</span></button>
        </a>
    </td>
    <div class="box">
        <div class="box-header">
            <h3 class="box-title">Liste des Grades </h3>
        </div>
        <!-- /.box-header -->
        <div class="box-body">
            <table id="" class="table table-bordered table-striped">
                <thead>
                <tr>
                    <th>Libelle grade français</th>
                    <th>Libelle grade arabe</th>
                    <th>Action</th>
                </tr>
                </thead>
                <tbody>
                {% for grade in grades %}
                    <tr>
                        <td>{{ grade.libelleGradeFr }}</td>
                        <td>{{ grade.libelleGradeAr }}</td>

                        <td>
                            <ul class="list_act_ens">
                                <li>
                                    <a>
                                        <button class="btn btn-primary btn_info_grade"
                                                url="{{ path('grade_show', {'id': grade.id}) }}"><span
                                                    class="glyphicon glyphicon-info-sign" title="Détail"></span>
                                        </button>
                                    </a>
                                </li>
                                <li>
                                    <a>
                                        <button class="btn btn-success btn_edit_grade"
                                                url="{{ path('grade_edit', {'id':grade.id}) }}"><span
                                                    class="glyphicon glyphicon-pencil" title="Modifier grade"></span>
                                        </button>
                                    </a>
                                </li>
                                <li>
                                    {{ include('grade/_delete_form.html.twig') }} </li>
                            </ul>
                        </td>
                    </tr>
                {% else %}
                    <tr>
                        <td colspan="4">Pas d'enregistrement</td>
                    </tr>
                {% endfor %}
                </tbody>
            </table>
            <div align='center' class="navigation">
                {{ knp_pagination_render(grades) }}
            </div>
            {#fenetre modale#}

            <div class="modal fade" id="modalGrade" tabindex="-1" role="dialog" aria-labelledby="myModalLabel"
                 aria-hidden="true">
                <div class="modal-dialog" role="document">
                    <div class="modal-content">
                        <div class="modal-header text-center">
                            <h4 class="modal-title w-100 font-weight-bold titre_modal_grade"></h4>
                            <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                                <span aria-hidden="true">&times;</span>
                            </button>
                        </div>
                        <div class="modal-body">
                            <div class="text-center">
                                <img src="{{ asset('images/loading.svg') }}" class="load_modal_body">
                            </div>
                            <div class="content_modal_body">
                            </div>
                        </div>
                        <div class="modal-footer">

                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
{% endblock %}
{% block mesJavascripts %}

    <script>
        $('body').on('click', '.btn_new_grade', function (event) {
            $('#modalGrade').modal('show');
            $('.content_modal_body').html('');
            $('.load_modal_body').show();
            $('.titre_modal_grade').html('Ajouter nouvelle grade');
            $('.modal-footer').html('<button type="button" class="btn btn-danger pull-right" data-dismiss="modal">Fermer</button>');
            var url = $(this).attr('url');
            $.ajax({
                url: url,
                method: 'POST',
                success: function (result) {
                    $('.load_modal_body').hide();
                    $('.content_modal_body').html(result);
                }
            });
        });
        $('body').on('click', '.btn_edit_grade', function (event) {
            $('#modalGrade').modal('show');
            $('.content_modal_body').html('');
            $('.modal-footer').html('<button type="button" class="btn btn-danger pull-right" data-dismiss="modal">Fermer</button>');
            $('.load_modal_body').show();
            $('.titre_modal_grade').html('Modifier grade');
            var url = $(this).attr('url');
            $.ajax({
                url: url,
                method: 'POST',
                success: function (result) {
                    $('.load_modal_body').hide();
                    $('.content_modal_body').html(result);
                }
            });
        });
        $('body').on('click', '.btn_info_grade', function (event) {
            $('#modalGrade').modal('show');
            $('.content_modal_body').html('');
            $('.load_modal_body').show();
            $('.modal-footer').html('<button type="button" class="btn btn-danger pull-right" data-dismiss="modal">Fermer</button>');
            $('.titre_modal_grade').html('Info grade');
            var url = $(this).attr('url');
            $.ajax({
                url: url,
                method: 'GET',
                success: function (result) {
                    $('.load_modal_body').hide();
                    $('.content_modal_body').html(result);
                }
            });
        });
        $('body').on('click', '.btn_del_grade', function (event) {
            var name_grade = $(this).attr('name_grade');
            var id_grade = $(this).attr('id_grade');
            $('#modalGrade').modal('show');
            $('.content_modal_body').html('');

            $('.titre_modal_grade').html('Supprimer grade');

            $('.content_modal_body').html('Voulez-vous vraiment supprimer la grade: <b>' + name_grade + '</b>');
            $('.modal-footer').html('<button type="button" class="btn btn-warning pull-right" data-dismiss="modal">Annuler</button><button type="button" class="btn btn-danger pull-right confirm_delete_grade" onclick="confirmer_delete_grade(' + id_grade + ')" data-dismiss="modal">Confirmer</button>');
        });

        function confirmer_delete_grade(id_grade) {
            $('#form_delete_grade_' + id_grade).submit();
        }

        $('body').on('click', '.save_grade', function (event) {

            var form = $('#form_add_grade');
            var formData = new FormData(document.getElementById("form_add_grade"));

            $.ajax({
                type: 'POST',
                cache: false,
                data: formData,
                url: form.attr('action'),
                processData: false,
                contentType: false,

                beforeSend: function (XMLHttpRequest) {
                    $('#form_add_grade').attr('disabled', true);
                },

                success: function (msg) {
                    if (msg == 'ok') {
                        $('#modalGrade').modal('hide');
                        location.reload();
                    } else {
                        $('.content_modal_body').html(msg);
                        //alert('erreur');
                    }
                }
            });

        });
        $('body').on('click', '.edit_grade', function (event) {

            var form = $('#form_add_grade');
            var formData = new FormData(document.getElementById("form_add_grade"));

            $.ajax({
                type: 'POST',
                cache: false,
                data: formData,
                url: form.attr('action'),
                processData: false,
                contentType: false,

                beforeSend: function (XMLHttpRequest) {
                    $('#form_add_grade').attr('disabled', true);

                },

                success: function (msg) {
                    if (msg == 'ok') {
                        $('#modalGrade').modal('hide');
                        location.reload();
                    } else {
                        $('.content_modal_body').html(msg);
                        //alert('erreur');
                    }
                }
            });

        });

        function supprimer_grade(name_grade) {
            $('#modalGrade').modal('show');
            $('.content_modal_body').html('');

            $('.titre_modal_grade').html('Supprimer grade');

            $('.content_modal_body').html('Voulez-vous vraiment supprimer la grade: ' + name_grade);
            return false;
        }
    </script>

{% endblock %}
